#include<bits/stdc++.h>
#define int long long
#define endl "\n";

using namespace std;

int bin_pow(int a, int b) {
	if(b == 0) return 1;
	if(b == 1) return a;
	if(b % 2 == 0) {
		int temp = bin_pow(a, b / 2);
		return temp*temp;
	} else {
		return bin_pow(a, b-1) * a;
	}
}

int gcd(int a, int b) {
	if(b == 0) return a;
	else {
		return gcd(b, a % b);
	}
}

signed main() {
	
	cout << "NO";
	
	return 0;
}